### Method

# EDataServer WebDAVSession list_sync

since: 3.26

#### Declaration [src]

    gboolean
    e_webdav_session_list_sync (
      EWebDAVSession* webdav,
      const gchar* uri,
      const gchar* depth,
      guint32 flags,
      GSList** out_resources,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Lists content of the `uri`, or, in case it’s `NULL`, of the URI defined in associated `ESource`, which should point to a collection. The `flags` influences which properties are read for the resources.

The `out_resources` is in no particular order.

Free the returned `out_resources` with g_slist_free_full (resources, e_webdav_resource_free); when no longer needed.

Available since: 3.26

#### Parameters

`uri`

  Type: `const gchar*`

  URI to issue the request for, or `NULL` to read from `ESource`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`depth`

  Type: `const gchar*`

  Requested depth, can be one of `E_WEBDAV_DEPTH_THIS`, `E_WEBDAV_DEPTH_THIS_AND_CHILDREN` or `E_WEBDAV_DEPTH_INFINITY`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `guint32`

  A bit-or of `EWebDAVListFlags`, claiming what properties to read.

`out_resources`

  Type: A list of `EWebDAVResource*`

  Return location for the resources.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.